FS_LSMOUNT(1)

NAME
fs_lsmount - Reports the volume for which a directory is the mount point.

SYNOPSIS
fs lsmount -dir <directory>+ [-help]

fs ls -d <directory>+ [-h]

DESCRIPTION
The fs lsmount command reports the volume for which each specified directory is a mount point, or indicates with an error message that a directory is not a mount point or is not in AFS.

To create a mount point, use the fs mkmount command. To remove one, use the fs rmmount command.

OPTIONS

-dir <directory>+
    Names the directory that serves as a mount point for a volume. The last element in the pathname provided must be an actual name, not a shorthand notation such as one or two periods ("." or "..").

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If the specified directory is a mount point, the output is of the following form:

   '<directory>' is a mount point for volume '<volume name>'

where

•   A number sign ("#") precedes the <volume name> string for a regular mount point.

•   A percent sign ("%") precedes the <volume name> string for a read/write mount point.

•   A cell name and colon (":") follow the number or percent sign and precede the <volume name> string for a cellular mount point.

The fs mkmount reference page explains how the Cache Manager interprets each of the three types of mount points.

If the directory is a symbolic link to a mount point, the output is of the form:

   '<directory>' is a symbolic link, leading to a mount point for volume
   '<volume name>'

If the directory is not a mount point or is not in AFS, the output reads:

   '<directory>' is not a mount point.

If the output is garbled, it is possible that the mount point has become corrupted in the local AFS client cache. Use the fs flushmount command to discard it, which forces the Cache Manager to refetch the mount point.

EXAMPLES
The following example shows the mount point for the home directory of user "smith":

   % fs lsmount /afs/example.com/usr/smith
   '/afs/example.com/usr/smith' is a mount point for volume '#user.smith'

The following example shows both the regular and read/write mount points for the Example Corporation cell's "root.cell" volume.

   % fs lsmount /afs/example.com
   '/afs/example.com' is a mount point for volume '#root.cell'

   % fs lsmount /afs/.example.com
   '/afs/.example.com' is a mount point for volume '%root.cell'

The following example shows a cellular mount point: the Example Organization cell's "root.cell" volume as mounted in the Example Corporation cell's tree.

   % fs lsmount /afs/example.org
   '/afs/example.org' is a mount point for volume '#example.org:root.cell'

PRIVILEGE REQUIRED
The issuer must have the "l" (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -dir argument, and on the ACL of each directory that precedes it in the pathname.

SEE ALSO
fs_flushmount(1), fs_mkmount(1), fs_rmmount(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.